Skip to Content
It is currently November 29th, 2021, 6:51 pm

All times are UTC - 6 hours [ DST ]




Post new topic Reply to topic  [ 3 posts ] 
Author Message
PostPosted: October 22nd, 2021, 10:00 am 
Offline
New User
New User

Joined: February 4th, 2013, 12:39 pm
Posts: 18
Location: Kahu Mahau, Easter Island, Chile
Hello to the community.
actually i use firebird 2.5.0 on radio server but the problem this version is extremely slow even with an SSD.
I recently see there's a fresh version of firebird, the 4.0 with major updates.
My question is: the 4.0 version of firebird is compatible with Sam 4.9.8? i really hope yes, and if it the case what the correct way to update firebird without re-install everything and lose the exist database.
An important point, actually i cannot afford to buy a fresh "update" of Sam Pro, because i invest recently in some important audio equipment, hardware for the radio.
please, understand me it's heavy for me to pay the full price.
Best regards, Fabien.

_________________
Groove Researcher, Music Exhumer, Archeologist Of sound.


Top
 Profile  
Reply with quote  
PostPosted: October 23rd, 2021, 8:47 am 
Offline
SVS Member
SVS Member

Joined: December 6th, 2004, 9:00 am
Posts: 8295
Location: Cologne (Germany)
1. Firebird 4 doesn't have an embedded version (yet), so you would need to install firebird 4 and configure the server to use the sambc.fdb file database found in SAM's AppData directory.
2. Firebird 4 apparently has a new On-Disk-Structure that is not backwards compatible. You need to create a new database for Firebird 4. According to the docs, you can copy the old Firebird ODS driver as a plugin and keep using the old database file, but without having access to the new features.

I've only spent 20 minutes reading the docs, I have never tried any of that myself before.

The required skill level is not super advanced, but you need to read instructions in the Firebird manual and copy files around and maybe execute command line tools.
The typical SAM user that grew up with Windows Vista or newer is most likely not capable of performing any of the required steps. They lack the skill to read and apply written instructions and will feel really uncomfortable copying files around or using the commandline.
If you're old enough to have used computers in the DOS or Windows 9x days and kept your tech-savvyness at a similar level, this shouldn't give you much challenges, though.

_________________
Benedikt Bauer - SVS (Spacial Volunteer Support)

Shop for readymade PAL scripts by countrywesterndj - Or get a custom script made by me (or others)

My Project:
Send "Now Playing" from SAM to Twitter and/or Facebook | Sourcecode


Top
 Profile  
Reply with quote  
PostPosted: October 24th, 2021, 10:20 am 
Offline
New User
New User

Joined: February 4th, 2013, 12:39 pm
Posts: 18
Location: Kahu Mahau, Easter Island, Chile
Hello Mastacheata.
Thank you for your answer and the time you take for that.
I have the basics skills to do that, i going to try it it's don't look too complicated.
I need first to resolve the licence activation first.
regards, fabien.

_________________
Groove Researcher, Music Exhumer, Archeologist Of sound.


Top
 Profile  
Reply with quote  
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC - 6 hours [ DST ]


Who is online

Users browsing this forum: Bing [Bot] and 30 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB® Forum Software © phpBB Group